= nng_http_server_start(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_server_start - start HTTP server

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

int nng_http_server_start(nng_http_server *server);
----

== DESCRIPTION

The `nng_http_server_start()` starts the HTTP server instance _server_.
This causes it to bind to the appropriate TCP port, and start accepting
connections and handling HTTP requests.

== RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

== ERRORS

[horizontal]
`NNG_EADDRINUSE`:: The TCP port is unavailable.
`NNG_EADDRINVAL`:: The server is configured with an invalid address.
`NNG_ENOMEM`:: Insufficient free memory exists.
`NNG_ENOTSUP`:: HTTP not supported.

== SEE ALSO

[.text-left]
xref:nng_http_server_hold.3http.adoc[nng_http_server_hold(3http)],
xref:nng_http_server_release.3http.adoc[nng_http_server_release(3http)],
xref:nng_http_server_stop.3http.adoc[nng_http_server_stop(3http)],
xref:nng_url_parse.3.adoc[nng_url_parse(3)]
xref:nng_strerror.3.adoc[nng_strerror(3)],
xref:nng.7.adoc[nng(7)]
